"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeElasticsearchDomain_1 = require("../model/operations/DescribeElasticsearchDomain");
var DescribeElasticsearchDomainCommand = /** @class */ (function () {
    function DescribeElasticsearchDomainCommand(input) {
        this.input = input;
        this.model = DescribeElasticsearchDomain_1.DescribeElasticsearchDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeElasticsearchDomainCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeElasticsearchDomainCommand;
}());
exports.DescribeElasticsearchDomainCommand = DescribeElasticsearchDomainCommand;
//# sourceMappingURL=DescribeElasticsearchDomainCommand.js.map