"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReservedElasticsearchInstances_1 = require("../model/operations/DescribeReservedElasticsearchInstances");
var DescribeReservedElasticsearchInstancesCommand = /** @class */ (function () {
    function DescribeReservedElasticsearchInstancesCommand(input) {
        this.input = input;
        this.model = DescribeReservedElasticsearchInstances_1.DescribeReservedElasticsearchInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReservedElasticsearchInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReservedElasticsearchInstancesCommand;
}());
exports.DescribeReservedElasticsearchInstancesCommand = DescribeReservedElasticsearchInstancesCommand;
//# sourceMappingURL=DescribeReservedElasticsearchInstancesCommand.js.map