"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EndpointsMap_1 = require("./_EndpointsMap");
var _ElasticsearchClusterConfig_1 = require("./_ElasticsearchClusterConfig");
var _EBSOptions_1 = require("./_EBSOptions");
var _SnapshotOptions_1 = require("./_SnapshotOptions");
var _VPCDerivedInfo_1 = require("./_VPCDerivedInfo");
var _CognitoOptions_1 = require("./_CognitoOptions");
var _EncryptionAtRestOptions_1 = require("./_EncryptionAtRestOptions");
var _NodeToNodeEncryptionOptions_1 = require("./_NodeToNodeEncryptionOptions");
var _AdvancedOptions_1 = require("./_AdvancedOptions");
var _LogPublishingOptions_1 = require("./_LogPublishingOptions");
var _ServiceSoftwareOptions_1 = require("./_ServiceSoftwareOptions");
exports._ElasticsearchDomainStatus = {
    type: "structure",
    required: ["DomainId", "DomainName", "ARN", "ElasticsearchClusterConfig"],
    members: {
        DomainId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        DomainName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        ARN: {
            shape: {
                type: "string"
            }
        },
        Created: {
            shape: {
                type: "boolean"
            }
        },
        Deleted: {
            shape: {
                type: "boolean"
            }
        },
        Endpoint: {
            shape: {
                type: "string"
            }
        },
        Endpoints: {
            shape: _EndpointsMap_1._EndpointsMap
        },
        Processing: {
            shape: {
                type: "boolean"
            }
        },
        UpgradeProcessing: {
            shape: {
                type: "boolean"
            }
        },
        ElasticsearchVersion: {
            shape: {
                type: "string"
            }
        },
        ElasticsearchClusterConfig: {
            shape: _ElasticsearchClusterConfig_1._ElasticsearchClusterConfig
        },
        EBSOptions: {
            shape: _EBSOptions_1._EBSOptions
        },
        AccessPolicies: {
            shape: {
                type: "string"
            }
        },
        SnapshotOptions: {
            shape: _SnapshotOptions_1._SnapshotOptions
        },
        VPCOptions: {
            shape: _VPCDerivedInfo_1._VPCDerivedInfo
        },
        CognitoOptions: {
            shape: _CognitoOptions_1._CognitoOptions
        },
        EncryptionAtRestOptions: {
            shape: _EncryptionAtRestOptions_1._EncryptionAtRestOptions
        },
        NodeToNodeEncryptionOptions: {
            shape: _NodeToNodeEncryptionOptions_1._NodeToNodeEncryptionOptions
        },
        AdvancedOptions: {
            shape: _AdvancedOptions_1._AdvancedOptions
        },
        LogPublishingOptions: {
            shape: _LogPublishingOptions_1._LogPublishingOptions
        },
        ServiceSoftwareOptions: {
            shape: _ServiceSoftwareOptions_1._ServiceSoftwareOptions
        }
    }
};
//# sourceMappingURL=_ElasticsearchDomainStatus.js.map